## Shared module ##
Overview = require 'overview'

Overview.scaleForiPhone5 = 0.97

## EVENTS LISTS ##
eventsLists = [
	{
	color: Overview.purple
	lists: [{
				title: "Pan"
				items: ["onPanStart","onPan","onPanEnd"]
			}]
	}
	{
	color: Overview.green
	lists: [{
				title: "Pan direction"
				items: ["onPanLeft","onPanRight","onPanUp","onPanDown"]
			}]
	}
]

Overview.makeEventsLists eventsLists

## Reflow for phones ##
Overview.reflow()

if Utils.isPhone() or (Framer.Device.deviceType.substring 0, 12) is "apple-iphone"
	layerA.size = 120
	if Screen.height < 667
		layerA.size = 100

## EVENTS ##
layerA.onPanStart ->
	Overview.alldots[0].stateSwitch "active"
	Overview.alldots[0].animate "default"

layerA.onPan ->
	Overview.alldots[1].stateSwitch "active"
	Overview.alldots[1].animate "default"

layerA.onPanEnd ->
	Overview.alldots[2].stateSwitch "active"
	Overview.alldots[2].animate "default"

layerA.onPanLeft ->
	Overview.alldots[3].stateSwitch "active"
	Overview.alldots[3].animate "default"

layerA.onPanRight ->
	Overview.alldots[4].stateSwitch "active"
	Overview.alldots[4].animate "default"

layerA.onPanUp ->
	Overview.alldots[5].stateSwitch "active"
	Overview.alldots[5].animate "default"

layerA.onPanDown ->
	Overview.alldots[6].stateSwitch "active"
	Overview.alldots[6].animate "default"
